Package org.springframework.security.acls.model

# Interface AuditableAccessControlEntry

All Superinterfaces:
  `AccessControlEntry`, `Serializable`

All Known Implementing Classes:
  `AccessControlEntryImpl`

public interface AuditableAccessControlEntry extends AccessControlEntry
Represents an ACE that provides auditing information.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAuditFailure()`
`boolean`
`isAuditSuccess()`

### Methods inherited from interface org.springframework.security.acls.model.AccessControlEntry

`getAcl, getId, getPermission, getSid, isGranting`

## Method Details

### isAuditFailure

boolean isAuditFailure()

### isAuditSuccess

boolean isAuditSuccess()